Package org.codehaus.groovy.vmplugin.v7

## Class IndyArrayAccess

- java.lang.Object
- - org.codehaus.groovy.vmplugin.v7.IndyArrayAccess

-     @Deprecated
      public class IndyArrayAccess
      extends Object

  Deprecated.
  Class for handling array access through invokedynamic using static callsite information
  Since:
    2.5.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IndyArrayAccess()` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MethodHandle` | `arrayGet​(MethodType type)` | Deprecated.
    `static MethodHandle` | `arraySet​(MethodType type)` | Deprecated.
    `static boolean` | `notNegative​(int index)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndyArrayAccess

          public IndyArrayAccess()

      Deprecated.

  - ### Method Detail

    - #### notNegative

          public static boolean notNegative​(int index)

      Deprecated.

    - #### arrayGet

          public static MethodHandle arrayGet​(MethodType type)

      Deprecated.

    - #### arraySet

          public static MethodHandle arraySet​(MethodType type)

      Deprecated.